%define	major	5
%define majorminor	%{major}.0.99
%define	lname	lzma
%define libname %mklibname %{lname} %{major}
%define libdev  %mklibname -d %{lname}

%bcond_without dietlibc

Summary: 	XZ utils
Name: 		xz
Version: 	5.1.2
Release: 	%mkrel 0.alpha.3
License: 	Public Domain
Group:		Archiving/Compression
Source0:	http://tukaani.org/xz/%{name}-%{version}alpha.tar.xz
Source1:	xzme
# add special tuning for text files, parameter: '--text':
Patch0:		xz-5.1.1alpha-text-tune.patch
%rename		lzma
BuildRequires:	zlib-devel diffutils
%if %{with dietlibc}
BuildRequires: dietlibc-devel
%endif
URL:		http://tukaani.org/xz/

%description
XZ provides very high compression ratio and fast decompression. The
core of the XZ utils is Igor Pavlov's LZMA SDK containing the actual
LZMA encoder/decoder. LZMA utils add a few scripts which provide
gzip-like command line interface and a couple of other XZ related
tools. Also provides:

- Average compression ratio 30% better than that of gzip and 15%
  better than that of bzip2.

- Decompression speed is only little slower than that of gzip, being
  two to five times faster than bzip2.

- In fast mode, compresses faster than bzip2 with a comparable
  compression ratio.

- Achieving the best compression ratios takes four to even twelve
  times longer than with bzip2. However. this doesn't affect
  decompressing speed.

- Very similar command line interface than what gzip and bzip2 have.

%package -n	%{libname}
Summary:	Libraries for decoding XZ/LZMA compression
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{libname}
Libraries for decoding LZMA compression.

%package -n	%{libdev}
Summary:	Devel libraries & headers for liblzma
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}
Provides:	%{lname}-devel = %{version}-%{release}
Provides:	lib%{lname}-devel = %{version}-%{release}

%description -n %{libdev}
Devel libraries & headers for liblzma.

%prep
%setup -q -n %{name}-%{version}alpha
%patch0 -p1 -b .text~

%build
mkdir diet
pushd diet
%if %{with dietlibc}
CC="diet gcc" ../configure --enable-static --disable-shared 
make V=1 LD="diet ld" CC="diet cc -std=c99 -D_XOPEN_SOURCE=700"
%endif
popd

CFLAGS="%{optflags} -O3 -funroll-loops" \
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -m755 %{SOURCE1} -D %{buildroot}%{_bindir}/xzme

%if %{with dietlibc}
install -m644 diet/src/liblzma/.libs/liblzma.a -D %{buildroot}%{_prefix}/lib/dietlibc/lib-%{_arch}/liblzma.a
%endif

rm -f %{buildroot}%{_libdir}/*.la
%find_lang %{name}

%check
make check

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README THANKS
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/liblzma.so.%{majorminor}
%{_libdir}/liblzma.so.%{major}

%files -n %{libdev}
%defattr(644,root,root,755)
%defattr(-,root,root)
%{_includedir}/%{lname}.h
%dir %{_includedir}/%{lname}
%{_includedir}/%{lname}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/lib%{lname}.pc
%if %{with dietlibc}
%{_prefix}/lib/dietlibc/lib-%{_arch}/liblzma.a
%endif


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 5.1.2-0.alpha.3.mga3
+ Revision: 387537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 tv <tv> 5.1.2-0.alpha.2.mga3
+ Revision: 302007
- restore lzma provides

* Tue Oct 02 2012 tv <tv> 5.1.2-0.alpha.1.mga3
+ Revision: 302002
- new release (like FC & mdv) (multithreaded compression)
- rediff patch 0
- drop very old provides/conflicts
- fix build with dietlibc
- explain patch 0

* Sat Jul 21 2012 colin <colin> 5.0.4-2.mga3
+ Revision: 273158
- Update for usrmove

* Mon Jun 25 2012 fwang <fwang> 5.0.4-1.mga3
+ Revision: 263355
- new version 5.0.4

* Sat Apr 28 2012 colin <colin> 5.0.3-3.mga2
+ Revision: 234087
- Move liblzma to / from /usr (needed by systemctl+kmod)

* Sun Jan 15 2012 tv <tv> 5.0.3-2.mga2
+ Revision: 196475
- build with dietlibc

* Sun Jul 17 2011 fwang <fwang> 5.0.3-1.mga2
+ Revision: 125415
- new version 5.0.3

* Fri Apr 08 2011 tmb <tmb> 5.0.2-1.mga1
+ Revision: 82058
- liblzma: Fix a memory leak in stream_encoder.c (P1)
- update to 5.0.2
- update url

* Sat Jan 08 2011 blino <blino> 5.0.0-2.mga1
+ Revision: 576
- imported package xz

